# $Revision: 1.9 $, $Date: 2008-02-10 12:24:00 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	LibXML-XPathContext
Summary:	XML::LibXML::XPathContext - Perl interface to libxml2's xmlXPathContext
Summary(pl.UTF-8):	XML::LibXML::XPathContext - interfejs perlowy do xmlXPathContext z libxml2
Name:		perl-XML-LibXML-XPathContext
Version:	0.07
Release:	2
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0e7fca6fe476f933b4afba82add465d3
BuildRequires:	libxml2-devel >= 2.4.25
%if %{with tests}
BuildRequires:	perl-XML-LibXML >= 0.51
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	libxml2 >= 2.4.25
Requires:	perl-XML-LibXML >= 0.51
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module augments XML::LibXML by providing Perl interface to
libxml2's xmlXPathContext structure. Besides just performing xpath
statements on XML::LibXML's node trees it allows redefining certaint
aspects of XPath engine. This modules allows:
- registering namespace prefixes,
- defining XPath functions in Perl,
- defining variable lookup functions in Perl,
- cheating the context about current proximity position and context
  size.

%description -l pl.UTF-8
Ten moduł rozszerza XML::LibXML dostarczając perlowy interfejs do
struktury xmlXPathContext z libxml2. Oprócz samego wykonywania
instrukcji xpath na drzewach węzłów XML::LibXML pozwala redefiniować
niektóre aspekty silnika XPath:
- rejestrować prefiksy przestrzeni nazw,
- definiować funkcje XPath w Perlu,
- definiować funkcje wyszukiwania zmiennych w Perlu,
- oszukiwać kontekst co do bieżącej bliskości pozycji i rozmiaru
  kontekstu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%{perl_vendorarch}/XML/LibXML/XPathContext.pm
%dir %{perl_vendorarch}/auto/XML/LibXML/XPathContext
%{perl_vendorarch}/auto/XML/LibXML/XPathContext/XPathContext.bs
%attr(755,root,root) %{perl_vendorarch}/auto/XML/LibXML/XPathContext/XPathContext.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-LibXML-XPathContext.spec,v $
Revision 1.9  2008-02-10 12:24:00  arekm
- rel 2

Revision 1.8  2008-01-10 08:38:42  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.7  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.5  2006/10/21 06:16:39  ankry
- ver. 0.07

Revision 1.4  2004/11/03 22:30:56  paladine
- formatting

Revision 1.3  2004/05/05 06:28:47  ankry
- license unification, cosmetics

Revision 1.2  2004/04/15 19:46:36  ankry
- cosmetics, unification

Revision 1.1  2004/01/08 13:45:55  qboosh
- new

